%define upstream_name    Pod-Elemental-Transformer-List
%define upstream_version 0.102001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Transform :list regions into =over/=back to save typing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Transformer) >= 0.101.620
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Elemental::Types)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.102.1-2.mga10
+ Revision: 2217140
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.102.1-1.mga9
+ Revision: 1929026
- update to 0.102001

* Sun Mar 20 2022 umeabot <umeabot> 0.102.0-9.mga9
+ Revision: 1805215
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.102.0-8.mga8
+ Revision: 1496679
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.102.0-7.mga7
+ Revision: 1270540
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.102.0-6.mga6
+ Revision: 1032300
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.102.0-5.mga6
+ Revision: 949313
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.102.0-4.mga5
+ Revision: 789642
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-3.mga5
+ Revision: 749155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 686001
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.102.0-1.mga5
+ Revision: 585570
- update to 0.102000

* Fri Oct 18 2013 umeabot <umeabot> 0.101.620-3.mga4
+ Revision: 514146
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.101.620-2.mga3
+ Revision: 371907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.101.620-1.mga1
+ Revision: 40035
- mageia rebuild
- imported package perl-Pod-Elemental-Transformer-List

